dofile_once("data/scripts/lib/utilities.lua")

local entity = GetUpdatedEntityID()

local x, y, r = EntityGetTransform(entity)

function get_direction( x1, y1, x2, y2 )
    local result = math.atan2( ( y2 - y1 ), ( x2 - x1 ) )
    return result
end

function get_distance( x1, y1, x2, y2 )
    local result = math.sqrt( ( x2 - x1 ) ^ 2 + ( y2 - y1 ) ^ 2 )
    return result
end

local root_entity = EntityGetRootEntity( entity )
local root_x, root_y, root_r = EntityGetTransform(root_entity)

local start_x, start_y = x, y
local target_x, target_y = root_x, root_y + 13
local angle = get_direction(start_x, start_y, target_x, target_y)
local distance = get_distance(start_x, start_y, target_x, target_y)
local sprite_width = 42
local scale = math.max(0, distance) / sprite_width
EntitySetTransform(entity, start_x, start_y, angle, scale)
-- print(EntityGetFilename( root_entity ))