dofile_once("data/scripts/lib/utilities.lua")

local num_limbs = 1

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local last_direction = GetValueNumber("last_direction", 0)

local tentacles = {}
local snake_heads = {}
-- local hitboxes = {}

for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
  if EntityGetName(child) == "tentacle_limb" then
    table.insert(tentacles, child)
  end
  if EntityGetName(child) == "Burrower" then
    table.insert(snake_heads, child)
  end
  -- if EntityGetName(child) == "hitbox" then
    -- table.insert(hitboxes, child)
  -- end
end

for i, child in ipairs(tentacles or {}) do
  local verlet_component = EntityGetFirstComponentIncludingDisabled(child, "VerletPhysicsComponent")
  local verlet_world_joint_component = EntityGetFirstComponentIncludingDisabled(child, "VerletWorldJointComponent")
  local snake_head_x, snake_head_y = EntityGetTransform(snake_heads[i])
  local positions = ComponentGetValue2(verlet_component, "positions")
  positions[29] = snake_head_x
  positions[30] = snake_head_y
  if verlet_component then
	ComponentSetValue2(verlet_component, "positions", positions)
  end
  if verlet_world_joint_component then
  -- world_position is the origin of the verlet
	ComponentSetValue2(verlet_world_joint_component, "world_position", x, y)
  end
  
  
	-- if not tentacle_hitbox_comps then
	  -- tentacle_hitbox_comps = {}
	  -- for i, comp in ipairs(EntityGetComponentIncludingDisabled(snake_heads[1], "HitboxComponent") or {}) do
		-- -- Check if it's not the main entity hitbox
		-- if ComponentGetValue2(comp, "aabb_min_x") ~= 0 then
		  -- table.insert(tentacle_hitbox_comps, comp)
		-- end
	  -- end
	-- end

	-- local snake_head_x, snake_head_y = EntityGetTransform(snake_heads[1])
	-- for i, comp in ipairs(tentacle_hitbox_comps) do
	  -- ComponentSetValue(comp, "offset", positions[(i-1)*2+1] - snake_head_x, positions[(i-1)*2+2] - snake_head_y)
	-- end
	
	-- local angle = math.rad((GameGetFrameNum() % 60) / 60 * 360)
	-- for i, comp in ipairs(tentacle_hitbox_comps) do
	  -- ComponentSetValue(comp, "offset", math.cos(angle + i * 20) * 100, math.sin(angle + i * 20) * 100)
	-- end
end

-- print(#tentacle_hitbox_comps)