dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local root_id = EntityGetRootEntity( entity_id )
local x,y = EntityGetTransform( root_id )

local angle = 0
local players = EntityGetWithTag( "player_unit" )

if ( #players > 0 ) then
	local p = players[1]
	
	local px,py = EntityGetTransform( p )
	
	angle = get_direction( x, y, px, py )
end

angle = math.pi + angle

EntitySetTransform( entity_id, x + math.cos( angle ) * 2.5, y - math.sin( angle ) * 2.5 )

--blink:

SetRandomSeed( entity_id, GameGetFrameNum() )
local rand = Random(1,150)

if (rand == 1) then
	edit_component2( root_id, "SpriteComponent", function(comp,vars)
		ComponentSetValue( comp, "rect_animation",      "blink" )
		ComponentSetValue( comp, "next_rect_animation", "stand" )
	end)
end