

dofile_once("data/scripts/lib/coroutines.lua")

async_loop(function()

	wait(750)
	
	dofile( "data/scripts/projectiles/overmind.lua" )
	dofile("data/scripts/lib/utilities.lua")

	local entity_id = GetUpdatedEntityID()
			
	local x, y = EntityGetTransform( entity_id )

	local closestEntity = get_players()[1]
	
	local px, py = EntityGetTransform( closestEntity )

	local entities = EntityGetInRadiusWithTag(x, y, 20, "mortal")
	
	distance = get_distance(px, py, x, y)
	max_distance = 100
	if distance > max_distance then
	  local direction = get_direction(px, py, x, y)
	  local x2 = px + math.cos(direction) * max_distance
	  local y2 = py + math.sin(direction) * max_distance
	  GamePlaySound("data/audio/Desktop/animals.bank", "animals/boss_centipede/dying", x2, y2)
	end
	
	wait(250)
	
	function get_distance( x1, y1, x2, y2 )
		local result = math.sqrt( ( x2 - x1 ) ^ 2 + ( y2 - y1 ) ^ 2 )
		return result
	end

	function get_direction( x1, y1, x2, y2 )
		return math.atan2( ( y2 - y1 ), ( x2 - x1 ) )
	end
	
	if distance > max_distance then
	  local direction = get_direction(px, py, x, y)
	  local x2 = px + math.cos(direction) * max_distance
	  local y2 = py + math.sin(direction) * max_distance
	  GamePlaySound("data/audio/Desktop/animals.bank", "animals/necromancer_shop/death", x2, y2)
	  GamePlaySound("data/audio/Desktop/animals.bank", "animals/giantshooter/attack_bite", x2, y2)
	end

	shoot_at_entity(entity_id, closestEntity, 1, 0, 0, 350, "mods/flesh_biome/files/entities/flesh_boss/acid_shot.xml", 9999999999999, 512)
	GameScreenshake(16)
	
end)


