dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

--Bleed Random Materials:

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
local material_list = { 
--liquids:
"blood",
"radioactive_liquid",
"urine",
"vomit",
}

-- removed materials:

-- "material_darkness",
-- "magic_liquid_movement_faster",
-- "magic_liquid_faster_levitation",
-- "magic_liquid_mana_regeneration",
-- "acid",
-- "magic_liquid_unstable_teleportation",
-- "material_confusion",
-- "lava",

local random_index = Random(1, #material_list)
local material = material_list[random_index]
  
new_material = material
last_material = last_material or "blood"
AddMaterialInventoryMaterial(entity_id, last_material, 0)
AddMaterialInventoryMaterial(entity_id, new_material, 200)
last_material = new_material


--Change material of Particle Emitter:

local particle_emitter_component = EntityGetFirstComponent(entity_id, "ParticleEmitterComponent")

ComponentSetValue2(particle_emitter_component, "emitted_material_name", material )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local particle_emitter_component = EntityGetFirstComponent(entity_id, "ParticleEmitterComponent")
local material_sucker_component = EntityGetFirstComponentIncludingDisabled(entity_id, "MaterialSuckerComponent")
local is_emitting = ComponentGetValue2(particle_emitter_component, "is_emitting")
ComponentSetValue2(particle_emitter_component, "is_emitting", not is_emitting)
EntitySetComponentIsEnabled(entity_id, material_sucker_component, is_emitting)
