dofile_once("data/scripts/lib/utilities.lua")

local entity = GetUpdatedEntityID()

local x, y, r = EntityGetTransform(entity)

-- function get_direction( x1, y1, x2, y2 )
    -- local result = math.atan2( ( y2 - y1 ), ( x2 - x1 ) )
    -- return result
-- end

-- function get_distance( x1, y1, x2, y2 )
    -- local result = math.sqrt( ( x2 - x1 ) ^ 2 + ( y2 - y1 ) ^ 2 )
    -- return result
-- end

-- local root_entity = EntityGetRootEntity( entity )
-- local root_x, root_y, root_r = EntityGetTransform(root_entity)

-- local start_x, start_y = x, y
-- local target_x, target_y = root_x, root_y
-- local angle = get_direction(start_x, start_y, target_x, target_y)
-- local distance = get_distance(start_x, start_y, target_x, target_y)
-- EntitySetTransform(entity, start_x, start_y, angle, distance)

local variable_storage = EntityGetComponent(entity, "VariableStorageComponent")



local holder = nil
local move_speed = 1200
local velocity_falloff = 0




if(variable_storage ~= nil)then
    for k, v in pairs(variable_storage)do
        local name = ComponentGetValue2(v, "name")
        if(name == "holder")then
            holder = tonumber(ComponentGetValue2(v, "value_string"))    
        end
    end

    if(holder ~= nil)then
        local holder_x, holder_y = EntityGetTransform(holder)
        local limb_id = EntityGetName(holder)

        local player_entity = EntityGetRootEntity( holder )

        local variable_storage = EntityGetComponent(player_entity, "VariableStorageComponent")

        local grab_position = {x = holder_x, y = holder_y}
        
        if(variable_storage ~= nil)then
            for k, v in pairs(variable_storage)do
                local name = ComponentGetValue2(v, "name")
                --  GamePrint(name)
                if(name == "limb_position2_"..tostring(limb_id))then
                    -- GamePrint("eeeeeeeee")
                    grab_position.x = tonumber(ComponentGetValue2(v, "value_string"))
                    grab_position.y = tonumber(ComponentGetValue2(v, "value_int"))
                end
            end
        end      



        if(grab_position.x == 0 and grab_position.y == 0)then
            grab_position.x, grab_position.y = holder_x, holder_y
        end


        if(grab_position.x ~= nil)then
        -- GamePrint("target_pos.x = "..grab_position.x)
        -- GamePrint("target_pos.y = "..grab_position.y)
--[[
            local debug_markers = EntityGetWithTag("carrion_debug_"..limb_id)

            for k, v in pairs(debug_markers)do
                EntityKill(v)
            end

            local marker = EntityLoad("mods/carrion/files/entities/debug_point.xml", grab_position.x, grab_position.y)
            EntityAddTag(marker, "carrion_debug_"..limb_id)
]]
            local direction_x = grab_position.x - x
            local direction_y = grab_position.y - y

            local len = math.sqrt((direction_x*direction_x) + (direction_y*direction_y))

            local dir_x = direction_x / len
            local dir_y = direction_y / len     
            
            edit_component( entity, "VelocityComponent", function(comp,vars)
                local velocity_x, velocity_y = ComponentGetValueVector2( comp, "mVelocity")

                local force_x = (dir_x * move_speed)
                local force_y = (dir_y * move_speed)
            

                
                ComponentSetValue( comp, "gravity_x", 0 )
                ComponentSetValue( comp, "gravity_y", 0 )
                ComponentSetValueVector2( comp, "mVelocity", 0, 0 )
                if(len > 10)then
                    ComponentSetValueVector2( comp, "mVelocity", force_x, force_y )
                end
            end)    
        end 
    

    end
end