function is_invisible(entity)
	local entity_is_invisible = false

	local entity_id = GetUpdatedEntityID()

	for i, child_id in ipairs(EntityGetAllChildren(entity) or {}) do

		local game_effect_components = EntityGetComponentIncludingDisabled(child_id, "GameEffectComponent")
		
		for i, game_effect_component in ipairs(game_effect_components or {}) do
		
			if ( ComponentGetValue2(game_effect_component, "effect") == "INVISIBILITY" ) and ( ComponentGetValue2(game_effect_component, "mInvisible") == true ) then 
				entity_is_invisible = true
			end
			
		end

	end
	
	if entity_is_invisible == true then
		return true
	else
		return false
	end
end